* {
    text-decoration: none;
    margin: 0px;
    padding: 0px;
    font-family: 'Open Sans', sans-serif, Arial, Helvetica;
}

body {
    margin: 0px;
    padding: 0px;
    font-family: 'Open Sans', sans-serif, Arial, Helvetica;
}

nav {
    width: 100%;
    height: 80px;
    background: #FCFCFC;
    border-bottom: 1px solid #d2b356;
    position: -webkit-sticky;
    position: fixed;
    z-index: 999;
}

.logo img {
    width: auto;
    height: 90px;
    float: left;
}

nav ul {
    float: inline-end;
}

nav ul li {
    display: inline-block;
    line-height: 80px;
    margin: 0 5px;
}

nav ul li a {
    color: black;
    text-align: center;
    padding: 10px 12px;
    border-radius: 23px;
    text-decoration: none;
    font-size: 17px;
}

a.active,
a:hover {
    background: #d2b356;
    transition: .5s;
}

.checkbtn {
    font-size: 30px;
    color: #d2b356;
    float: right;
    line-height: 80px;
    margin-right: 40px;
    cursor: pointer;
    display: none;
}

#check {
    display: none;
}

.section-top {
    width: 100%;
    height: 40vh;
    /* Menggunakan 100vh untuk ketinggian agar sesuai dengan tinggi layar */
    overflow: hidden;
    position: relative;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: change 20s infinite linear;
    padding-top: 80px;
}

.section-top::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3); /* Menggunakan warna hitam dengan opacity 30% sebagai overlay */
    z-index: 1;
}

.section-top > * {
    position: relative;
    z-index: 2; /* Membuat konten di atas overlay */
}

.content {
    padding: 20px;
}

@keyframes change {

    0%, 20% {
        background-image: url(/asset/banner/banner_1.jpg);
    }

    21%, 24% {
        background-image: url(/asset/banner/banner_1.jpg);
    }

    25%, 45% {
        background-image: url(/asset/banner/banner_2.jpg);
    }

    46%, 49% {
        background-image: url(/asset/banner/banner_2.jpg);
    }

    50%, 70% {
        background-image: url(/asset/banner/banner_3.jpg);
    }

    71%, 74% {
        background-image: url(/asset/banner/banner_3.jpg);
    }

    75%, 95% {
        background-image: url(/asset/banner/banner_1.jpg);
    }

    96%, 100% {
        background-image: url(/asset/banner/banner_1.jpg);
    }
}


.content .deskripsi {
    font-size: 20px;
    font-weight: 300;
    color: white;
    margin-left: 150px;
    margin-right: 150px;
}

section {
    margin: auto;
    display: flex;
    margin-bottom: 50px;
}

.wrapper {
    width: 1100px;
    margin: auto;
    position: relative;
}

.profile header {
    text-align: center;
}

.profile img {
    width: 150px;
}


.row {
    justify-content: space-between;
    /* Membuat ruang yang sama di antara setiap kolom */
    padding: 30px;
}

h1 {
    font-family: 'Open Sans', sans-serif, Arial, Helvetica;
    font-weight: 800;
    font-size: 62px;
    margin-bottom: 20px;
    color: white;
    width: 100%;
    line-height: 60px;
}

p {
    line-height: 25px;
}

a.tbl-emas {
    background: #d2b356;
    border-radius: 20px;
    margin-top: 20px;
    padding: 15px 25px 15px 25px;
    color: #FFFFFF;
    cursor: pointer;
    font-weight: bold;
}

a.tbl-emas:hover {
    background: #d2b356;
    text-decoration: none;
}

a.tbl-hitam {
    background: #535353;
    border-radius: 20px;
    margin-top: 20px;
    padding: 15px 25px 15px 25px;
    color: #FFFFFF;
    cursor: pointer;
    font-weight: bold;
}

a.tbl-hitam:hover {
    background: #d2b356;
    text-decoration: none;
}

p {
    margin: 10px 0px 10px 0px;
    padding: 10px 0px 10px 0px;
}

.footer {
    width: 100%;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    margin: auto;
}

.footer-section {
    width: 20%;
    margin: 0 auto;
}

hr {
    border: 0;
    height: 1px;
    background-color: #ccc;
    margin: 20px 0;
}

.social-icons {
    margin-top: 20px;
}

.social-icon {
    display: inline-block;
    width: 40px;
    height: 40px;
    border-radius: 30%;
    overflow: hidden;
    margin: 0 10px;
}

.social-icon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#copyright {
    text-align: center;
    width: 100%;
    padding: 30px 0px 30px 0px;
    margin-top: 0px;
    color: #FFFFFF;
    background-image: url("/asset/footer.jpg");
}

.navbar a:hover,
.dropdown:hover .dropbtn {
    background-color: #d2b356;
}

/* Styling for the dropdown menu */
.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    z-index: 1;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    border-radius: 3px;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    display: block;
    text-decoration: none;
    text-wrap: nowrap;
    line-height: 40px;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: #ddd;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropbtn {
    background-color: transparent;
    text-decoration: none;
    color: black;
    /* padding: 10px 15px; */
    border: none;
    font-size: 17px;
    cursor: pointer;
}

.dropbtn:hover {
    text-decoration: none;
}

/* Styling untuk dashboard */
.charts-section {
    overflow-y: auto;
    padding: 20px 20px;
}

.charts{
    display: grid;
    grid-template-columns: repeat(2, 45%);
    gap: 20px;
    width: 50%;
    height: 50%;
    justify-content: center;
}

.chart-item {
    background-color: #ffffff;
    margin-bottom: 20px;
    padding: 25px;
    -webkit-column-break-inside: avoid;
    box-sizing: border-box;
    border: 2px solid #d2b356;
    border-radius: 20px;
    box-shadow: 0 6px 7px -4px #535353;
}

.chart-item p {
    text-align: center;
    font-weight: 600 ;
    color: #2c2c2c;
}

.chart-item canvas {
    width: 100% !important;
    height: 300px !important;
    max-width: auto; 
    max-height: 300px; 
}

/* Media Screen */
@media (max-width: 984px) {
    .checkbtn {
        display: block;
    }

    nav {
        top: 0;
    }

    ul {
        position: fixed;
        width: 30%;
        height: 100vh;
        background: #d2b356;
        top: 80px;
        left: 100%;
        text-align: center;
        transition: all .5s;
        z-index: 999;
    }

    nav ul li {
        display: block;
        margin: 40px 0;
        line-height: 30px;
        z-index: 999;
    }

    nav ul li a {
        font-size: 20px;
    }

    a:hover,
    a.active {
        background: none;
        color: #ffffff;
    }

    #check:checked~ul {
        left: 70%;
    }

    .content .deskripsi {
        margin-left: 30px;
        margin-right: 30px;
    }

    .dropbtn {
        font-size: 20px;
    }

    .dropdown-content {
        right: 0;
    }
    
    .charts {
        grid-template-columns: repeat(auto);
        width: 100%;
        margin-top: 30px;
    }
}

@media only screen and (max-width: 900px) {
    .charts {
      display: flex;
      flex-direction: column;
    }
    .chart-item {
      margin-bottom: 20px; /* jarak antara setiap item chart */
    }
  }

@media (min-width: 1024px) {
    .charts{
        grid-template-columns: repeat(auto);
        width: 100%;
        margin-top: 30px;
    }
}

@media screen and (max-width: 1115px) {
    .wrapper {
        width: 90%;
    }

    .logo a {
        display: block;
        width: 100%;
        text-align: center;
    }

    nav .menu {
        width: 100%;
        margin: 0;
    }

    nav .menu ul {
        text-align: center;
        margin: auto;
        line-height: 60px;
    }

    nav .menu ul li {
        display: inline-block;
        float: none;
    }

    section {
        display: block;
    }

    section img {
        display: block;
        width: 100%;
        height: auto;
    }

    .row {
        padding-bottom: 0;
    }

    .charts {
        grid-template-columns: repeat(auto);
        width: 100%;
    }
}

@media (min-width: 1200px) {
    .charts {
        grid-template-columns: repeat(auto);
        width: 100%;
        margin-top: 30px;
    }
}